using System;
using System.Collections.Generic;
using System.Text;
using PdfSharp.Pdf;

namespace PdfSharp.Pdf.Annotations.enums
{
    /// <summary>
    /// Class that has all of the annotation border styles listed in the PDF 1.7 spec
    /// </summary>
    public sealed class PdfAnnotationBorderStyles
    {
        /// <summary>
        /// Solid line
        /// </summary>
        public static PdfName Solid
        {
            get
            {
                return new PdfName("/S");
            }
        }

        /// <summary>
        /// Dashed line
        /// </summary>
        public static PdfName Dashed
        {
            get
            {
                return new PdfName("/D");
            }
        }

        /// <summary>
        /// Beveled border
        /// </summary>
        public static PdfName Beveled
        {
            get
            {
                return new PdfName("/B");
            }
        }

        /// <summary>
        /// Inset border
        /// </summary>
        public static PdfName Inset
        {
            get
            {
                return new PdfName("/I");
            }
        }

        /// <summary>
        /// Underlined border
        /// </summary>
        public static PdfName Underlined
        {
            get
            {
                return new PdfName("/U");
            }
        }

    }
}
